protocols / TimestampingProtocol / Client

# Client

`class Client : TimestamperService`

### Constructors

<init> | `Client(stateMachineManager: StateMachineManager, node: LegallyIdentifiableNode)`

### Properties

identity | `val identity: Party` The name+pubkey that this timestamper will sign with.

### Functions

timestamp | `fun timestamp(wtxBytes: SerializedBytes<WireTransaction>): LegallyIdentifiable`